diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/examples-to-run.py ns-3.42/examples/wireless/examples-to-run.py
--- ns-3.41/examples/wireless/examples-to-run.py	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/wireless/examples-to-run.py	2024-05-29 15:29:46.912073100 -0700
@@ -25,7 +25,7 @@
     ("wifi-wired-bridging", "True", "True"),
     ("wifi-sleep", "True", "True"),
     ("wifi-blockack", "True", "True"),
-    ("wifi-timing-attributes --simulationTime=1", "True", "True"),
+    ("wifi-timing-attributes --simulationTime=1s", "True", "True"),
     (
         "wifi-power-adaptation-distance --manager=ns3::ParfWifiManager --outputFileName=parf --steps=5 --stepsSize=10",
         "True",
@@ -63,143 +63,143 @@
     ("wifi-ofdm-vht-validation", "True", "True"),
     ("wifi-ofdm-he-validation", "True", "True"),
     ("wifi-error-models-comparison", "True", "True"),
-    ("wifi-80211n-mimo --simulationTime=0.1 --step=10", "True", "True"),
+    ("wifi-80211n-mimo --simulationTime=0.1s --step=10", "True", "True"),
     (
-        "wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=135",
+        "wifi-ht-network --simulationTime=0.2s --frequency=5 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=135",
         "True",
         "True",
     ),
     (
-        "wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=132",
+        "wifi-ht-network --simulationTime=0.2s --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=132",
         "True",
         "True",
     ),
     (
-        "wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=132",
+        "wifi-ht-network --simulationTime=0.2s --frequency=2.4 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=132",
         "True",
         "True",
     ),
     (
-        "wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=129",
+        "wifi-ht-network --simulationTime=0.2s --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=129",
         "True",
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2 --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=583",
+        "wifi-vht-network --simulationTime=0.2s --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=620",
         "True",
         "True",
     ),
     (
-        "wifi-vht-network --simulationTime=0.2 --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=557",
+        "wifi-vht-network --simulationTime=0.2s --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=557",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.25 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=844",
+        "wifi-he-network --simulationTime=0.25s --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=844",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033",
+        "wifi-he-network --simulationTime=0.3s --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=745",
+        "wifi-he-network --simulationTime=0.3s --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=745",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.25 --frequency=2.4 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=238",
+        "wifi-he-network --simulationTime=0.25s --frequency=2.4 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=238",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --frequency=2.4 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=223",
+        "wifi-he-network --simulationTime=0.3s --frequency=2.4 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=223",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=4 --minExpectedThroughput=20 --maxExpectedThroughput=212",
+        "wifi-he-network --simulationTime=0.3s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=4 --minExpectedThroughput=20 --maxExpectedThroughput=212",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --frequency=2.4 --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --minExpectedThroughput=27 --maxExpectedThroughput=50",
+        "wifi-he-network --simulationTime=0.3s --frequency=2.4 --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --minExpectedThroughput=21 --maxExpectedThroughput=56",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --minExpectedThroughput=31 --maxExpectedThroughput=290",
+        "wifi-he-network --simulationTime=0.3s --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --minExpectedThroughput=31 --maxExpectedThroughput=290",
         "True",
         "True",
     ),
     (
-        "wifi-he-network --simulationTime=0.3 --udp=1 --downlink=0 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --muSchedAccessReqInterval=50ms --minExpectedThroughput=46 --maxExpectedThroughput=327",
+        "wifi-he-network --simulationTime=0.3s --udp=1 --downlink=0 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --muSchedAccessReqInterval=50ms --minExpectedThroughput=46 --maxExpectedThroughput=327",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=550",
+        "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=760",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=0 --mpduBufferSize=1024 --frequency2=6 --minExpectedThroughput=12 --maxExpectedThroughput=550",
+        "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=0 --mpduBufferSize=1024 --frequency2=6 --minExpectedThroughput=7 --maxExpectedThroughput=1444",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=547",
+        "wifi-eht-network --simulationTime=0.1s --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=660",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1 --frequency=2.4 --useRts=0 --mpduBufferSize=512 --frequency2=5 --minExpectedThroughput=12 --maxExpectedThroughput=500",
+        "wifi-eht-network --simulationTime=0.1s --frequency=2.4 --useRts=0 --mpduBufferSize=512 --frequency2=5 --minExpectedThroughput=7 --maxExpectedThroughput=512",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.1 --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=240",
+        "wifi-eht-network --simulationTime=0.1s --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=240",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.23 --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=5 --frequency2=6  --minExpectedThroughput=35 --maxExpectedThroughput=280",
+        "wifi-eht-network --simulationTime=0.23s --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=5 --frequency2=6  --minExpectedThroughput=35 --maxExpectedThroughput=404",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.25 --frequency=2.4 --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --frequency2=5 --mpduBufferSize=1024 --minExpectedThroughput=50 --maxExpectedThroughput=120",
+        "wifi-eht-network --simulationTime=0.25s --frequency=2.4 --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --frequency2=5 --mpduBufferSize=1024 --minExpectedThroughput=50 --maxExpectedThroughput=120",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.3 --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --frequency2=2.4 --minExpectedThroughput=50 --maxExpectedThroughput=140",
+        "wifi-eht-network --simulationTime=0.3s --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --frequency2=2.4 --minExpectedThroughput=50 --maxExpectedThroughput=140",
         "True",
         "True",
     ),
     (
-        "wifi-eht-network --simulationTime=0.2 --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=4 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=50 --maxExpectedThroughput=415",
+        "wifi-eht-network --simulationTime=0.25s --udp=0 --downlink=0 --useRts=0 --nStations=4 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mpduBufferSize=1024 --mcs=7 --muSchedAccessReqInterval=45ms --frequency2=6 --minExpectedThroughput=70 --maxExpectedThroughput=550",
         "True",
         "True",
     ),
     (
-        "wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=0 --nMpdus=32 --minExpectedThroughput=59 --maxExpectedThroughput=60",
+        "wifi-simple-ht-hidden-stations --simulationTime=1s --enableRts=0 --nMpdus=32 --minExpectedThroughput=59 --maxExpectedThroughput=60",
         "True",
         "True",
     ),
     (
-        "wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=1 --nMpdus=32 --minExpectedThroughput=57 --maxExpectedThroughput=58",
+        "wifi-simple-ht-hidden-stations --simulationTime=1s --enableRts=1 --nMpdus=32 --minExpectedThroughput=57 --maxExpectedThroughput=58",
         "True",
         "True",
     ),
-    ("wifi-mixed-network --simulationTime=1", "True", "True"),
-    ("wifi-aggregation --simulationTime=1 --verifyResults=1", "True", "True"),
-    ("wifi-txop-aggregation --simulationTime=1 --verifyResults=1", "True", "True"),
-    ("wifi-80211e-txop --simulationTime=1 --verifyResults=1", "True", "True"),
+    ("wifi-mixed-network --simulationTime=1s", "True", "True"),
+    ("wifi-aggregation --simulationTime=1s --verifyResults=1", "True", "True"),
+    ("wifi-txop-aggregation --simulationTime=1s --verifyResults=1", "True", "True"),
+    ("wifi-80211e-txop --simulationTime=1s --verifyResults=1", "True", "True"),
     (
-        "wifi-multi-tos --simulationTime=1 --nWifi=16 --useRts=1 --useShortGuardInterval=1",
+        "wifi-multi-tos --simulationTime=1s --nWifi=16 --useRts=1 --useShortGuardInterval=1",
         "True",
         "True",
     ),
@@ -214,38 +214,38 @@
     ("wifi-hidden-terminal --wifiManager=Rraa", "True", "True"),
     ("wifi-hidden-terminal --wifiManager=Rrpaa", "True", "True"),
     (
-        "wifi-spectrum-per-example --distance=52 --index=3 --wifiType=ns3::SpectrumWifiPhy --simulationTime=1",
+        "wifi-spectrum-per-example --distance=52 --index=3 --wifiType=ns3::SpectrumWifiPhy --simulationTime=1s",
         "True",
         "True",
     ),
     (
-        "wifi-spectrum-per-example --distance=24 --index=31 --wifiType=ns3::YansWifiPhy --simulationTime=1",
+        "wifi-spectrum-per-example --distance=24 --index=31 --wifiType=ns3::YansWifiPhy --simulationTime=1s",
         "True",
         "False",
     ),
     (
-        "wifi-spectrum-per-interference --distance=24 --index=31 --simulationTime=1 --waveformPower=0.1",
+        "wifi-spectrum-per-interference --distance=24 --index=31 --simulationTime=1s --waveformPower=0.1",
         "True",
         "True",
     ),
-    ("wifi-spectrum-saturation-example --simulationTime=1 --index=63", "True", "True"),
+    ("wifi-spectrum-saturation-example --simulationTime=1s --index=63", "True", "True"),
     (
-        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211n_5GHZ --simulationTime=1",
+        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211n_5GHZ --simulationTime=1s",
         "True",
         "True",
     ),
     (
-        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211n_5GHZ --apRaa=Ideal --staRaa=Ideal --simulationTime=1",
+        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211n_5GHZ --apRaa=Ideal --staRaa=Ideal --simulationTime=1s",
         "True",
         "False",
     ),
     (
-        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211ac --simulationTime=1",
+        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211ac --simulationTime=1s",
         "True",
         "False",
     ),
     (
-        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211ac --apRaa=Ideal --staRaa=Ideal --simulationTime=1",
+        "wifi-backward-compatibility --apVersion=80211a --staVersion=80211ac --apRaa=Ideal --staRaa=Ideal --simulationTime=1s",
         "True",
         "False",
     ),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/mixed-wired-wireless.py ns-3.42/examples/wireless/mixed-wired-wireless.py
--- ns-3.41/examples/wireless/mixed-wired-wireless.py	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/wireless/mixed-wired-wireless.py	2024-05-29 15:29:46.912073100 -0700
@@ -88,8 +88,8 @@
     #  Simulation defaults are typically set next, before command line
     #  arguments are parsed.
     #
-    ns.core.Config.SetDefault("ns3::OnOffApplication::PacketSize", ns.core.StringValue("1472"))
-    ns.core.Config.SetDefault("ns3::OnOffApplication::DataRate", ns.core.StringValue("100kb/s"))
+    ns.Config.SetDefault("ns3::OnOffApplication::PacketSize", ns.StringValue("1472"))
+    ns.Config.SetDefault("ns3::OnOffApplication::DataRate", ns.StringValue("100kb/s"))
 
     #
     #  For convenience, we add the local variables to the command line argument
@@ -121,29 +121,29 @@
     #  Create a container to manage the nodes of the adhoc(backbone) network.
     #  Later we'll create the rest of the nodes we'll need.
     #
-    backbone = ns.network.NodeContainer()
+    backbone = ns.NodeContainer()
     backbone.Create(backboneNodes.value)
     #
     #  Create the backbone wifi net devices and install them into the nodes in
     #  our container
     #
-    wifi = ns.wifi.WifiHelper()
-    mac = ns.wifi.WifiMacHelper()
+    wifi = ns.WifiHelper()
+    mac = ns.WifiMacHelper()
     mac.SetType("ns3::AdhocWifiMac")
     wifi.SetRemoteStationManager(
-        "ns3::ConstantRateWifiManager", "DataMode", ns.core.StringValue("OfdmRate54Mbps")
+        "ns3::ConstantRateWifiManager", "DataMode", ns.StringValue("OfdmRate54Mbps")
     )
-    wifiPhy = ns.wifi.YansWifiPhyHelper()
+    wifiPhy = ns.YansWifiPhyHelper()
     wifiPhy.SetPcapDataLinkType(wifiPhy.DLT_IEEE802_11_RADIO)
-    wifiChannel = ns.wifi.YansWifiChannelHelper.Default()
+    wifiChannel = ns.YansWifiChannelHelper.Default()
     wifiPhy.SetChannel(wifiChannel.Create())
     backboneDevices = wifi.Install(wifiPhy, mac, backbone)
     #
     #  Add the IPv4 protocol stack to the nodes in our container
     #
     print("Enabling OLSR routing on all backbone nodes")
-    internet = ns.internet.InternetStackHelper()
-    olsr = ns.olsr.OlsrHelper()
+    internet = ns.InternetStackHelper()
+    olsr = ns.OlsrHelper()
     internet.SetRoutingHelper(olsr)
     # has effect on the next Install ()
     internet.Install(backbone)
@@ -153,38 +153,38 @@
     #  Assign IPv4 addresses to the device drivers(actually to the associated
     #  IPv4 interfaces) we just created.
     #
-    ipAddrs = ns.internet.Ipv4AddressHelper()
-    ipAddrs.SetBase(ns.network.Ipv4Address("192.168.0.0"), ns.network.Ipv4Mask("255.255.255.0"))
+    ipAddrs = ns.Ipv4AddressHelper()
+    ipAddrs.SetBase(ns.Ipv4Address("192.168.0.0"), ns.Ipv4Mask("255.255.255.0"))
     ipAddrs.Assign(backboneDevices)
 
     #
     #  The ad-hoc network nodes need a mobility model so we aggregate one to
     #  each of the nodes we just finished building.
     #
-    mobility = ns.mobility.MobilityHelper()
+    mobility = ns.MobilityHelper()
     mobility.SetPositionAllocator(
         "ns3::GridPositionAllocator",
         "MinX",
-        ns.core.DoubleValue(20.0),
+        ns.DoubleValue(20.0),
         "MinY",
-        ns.core.DoubleValue(20.0),
+        ns.DoubleValue(20.0),
         "DeltaX",
-        ns.core.DoubleValue(20.0),
+        ns.DoubleValue(20.0),
         "DeltaY",
-        ns.core.DoubleValue(20.0),
+        ns.DoubleValue(20.0),
         "GridWidth",
-        ns.core.UintegerValue(5),
+        ns.UintegerValue(5),
         "LayoutType",
-        ns.core.StringValue("RowFirst"),
+        ns.StringValue("RowFirst"),
     )
     mobility.SetMobilityModel(
         "ns3::RandomDirection2dMobilityModel",
         "Bounds",
-        ns.mobility.RectangleValue(ns.mobility.Rectangle(-500, 500, -500, 500)),
+        ns.RectangleValue(ns.Rectangle(-500, 500, -500, 500)),
         "Speed",
-        ns.core.StringValue("ns3::ConstantRandomVariable[Constant=2]"),
+        ns.StringValue("ns3::ConstantRandomVariable[Constant=2]"),
         "Pause",
-        ns.core.StringValue("ns3::ConstantRandomVariable[Constant=0.2]"),
+        ns.StringValue("ns3::ConstantRandomVariable[Constant=0.2]"),
     )
     mobility.Install(backbone)
 
@@ -196,7 +196,7 @@
 
     #  Reset the address base-- all of the CSMA networks will be in
     #  the "172.16 address space
-    ipAddrs.SetBase(ns.network.Ipv4Address("172.16.0.0"), ns.network.Ipv4Mask("255.255.255.0"))
+    ipAddrs.SetBase(ns.Ipv4Address("172.16.0.0"), ns.Ipv4Mask("255.255.255.0"))
 
     for i in range(backboneNodes.value):
         print("Configuring local area network for backbone node ", i)
@@ -205,17 +205,17 @@
         #  two containers here; one with all of the new nodes, and one
         #  with all of the nodes including new and existing nodes
         #
-        newLanNodes = ns.network.NodeContainer()
+        newLanNodes = ns.NodeContainer()
         newLanNodes.Create(lanNodes.value - 1)
         #  Now, create the container with all nodes on this link
-        lan = ns.network.NodeContainer(ns.network.NodeContainer(backbone.Get(i)), newLanNodes)
+        lan = ns.NodeContainer(ns.NodeContainer(backbone.Get(i)), newLanNodes)
         #
         #  Create the CSMA net devices and install them into the nodes in our
         #  collection.
         #
-        csma = ns.csma.CsmaHelper()
-        csma.SetChannelAttribute("DataRate", ns.network.DataRateValue(ns.network.DataRate(5000000)))
-        csma.SetChannelAttribute("Delay", ns.core.TimeValue(ns.core.MilliSeconds(2)))
+        csma = ns.CsmaHelper()
+        csma.SetChannelAttribute("DataRate", ns.DataRateValue(ns.DataRate(5000000)))
+        csma.SetChannelAttribute("Delay", ns.TimeValue(ns.MilliSeconds(2)))
         lanDevices = csma.Install(lan)
         #
         #  Add the IPv4 protocol stack to the new LAN nodes
@@ -235,10 +235,10 @@
         # The new LAN nodes need a mobility model so we aggregate one
         # to each of the nodes we just finished building.
         #
-        mobilityLan = ns.mobility.MobilityHelper()
-        positionAlloc = ns.mobility.ListPositionAllocator()
+        mobilityLan = ns.MobilityHelper()
+        positionAlloc = ns.ListPositionAllocator()
         for j in range(newLanNodes.GetN()):
-            positionAlloc.Add(ns.core.Vector(0.0, (j * 10 + 10), 0.0))
+            positionAlloc.Add(ns.Vector(0.0, (j * 10 + 10), 0.0))
 
         mobilityLan.SetPositionAllocator(positionAlloc)
         mobilityLan.PushReferenceMobilityModel(backbone.Get(i))
@@ -253,7 +253,7 @@
 
     #  Reset the address base-- all of the 802.11 networks will be in
     #  the "10.0" address space
-    ipAddrs.SetBase(ns.network.Ipv4Address("10.0.0.0"), ns.network.Ipv4Mask("255.255.255.0"))
+    ipAddrs.SetBase(ns.Ipv4Address("10.0.0.0"), ns.Ipv4Mask("255.255.255.0"))
     tempRef = []  # list of references to be held to prevent garbage collection
     for i in range(backboneNodes.value):
         print("Configuring wireless network for backbone node ", i)
@@ -262,26 +262,26 @@
         #  two containers here; one with all of the new nodes, and one
         #  with all of the nodes including new and existing nodes
         #
-        stas = ns.network.NodeContainer()
+        stas = ns.NodeContainer()
         stas.Create(infraNodes.value - 1)
         #  Now, create the container with all nodes on this link
-        infra = ns.network.NodeContainer(ns.network.NodeContainer(backbone.Get(i)), stas)
+        infra = ns.NodeContainer(ns.NodeContainer(backbone.Get(i)), stas)
         #
         #  Create another ad hoc network and devices
         #
-        ssid = ns.wifi.Ssid("wifi-infra" + str(i))
-        wifiInfra = ns.wifi.WifiHelper()
+        ssid = ns.Ssid("wifi-infra" + str(i))
+        wifiInfra = ns.WifiHelper()
         wifiPhy.SetChannel(wifiChannel.Create())
-        macInfra = ns.wifi.WifiMacHelper()
-        macInfra.SetType("ns3::StaWifiMac", "Ssid", ns.wifi.SsidValue(ssid))
+        macInfra = ns.WifiMacHelper()
+        macInfra.SetType("ns3::StaWifiMac", "Ssid", ns.SsidValue(ssid))
 
         # setup stas
         staDevices = wifiInfra.Install(wifiPhy, macInfra, stas)
         # setup ap.
-        macInfra.SetType("ns3::ApWifiMac", "Ssid", ns.wifi.SsidValue(ssid))
+        macInfra.SetType("ns3::ApWifiMac", "Ssid", ns.SsidValue(ssid))
         apDevices = wifiInfra.Install(wifiPhy, macInfra, backbone.Get(i))
         # Collect all of these new devices
-        infraDevices = ns.network.NetDeviceContainer(apDevices, staDevices)
+        infraDevices = ns.NetDeviceContainer(apDevices, staDevices)
 
         #  Add the IPv4 protocol stack to the nodes in our container
         #
@@ -299,7 +299,7 @@
 
         # This call returns an instance that needs to be stored in the outer scope
         # not to be garbage collected when overwritten in the next iteration
-        subnetAlloc = ns.mobility.ListPositionAllocator()
+        subnetAlloc = ns.ListPositionAllocator()
 
         # Appending the object to a list is enough to prevent the garbage collection
         tempRef.append(subnetAlloc)
@@ -309,18 +309,18 @@
         #  to each of the nodes we just finished building.
         #
         for j in range(infra.GetN()):
-            subnetAlloc.Add(ns.core.Vector(0.0, j, 0.0))
+            subnetAlloc.Add(ns.Vector(0.0, j, 0.0))
 
         mobility.PushReferenceMobilityModel(backbone.Get(i))
         mobility.SetPositionAllocator(subnetAlloc)
         mobility.SetMobilityModel(
             "ns3::RandomDirection2dMobilityModel",
             "Bounds",
-            ns.mobility.RectangleValue(ns.mobility.Rectangle(-10, 10, -10, 10)),
+            ns.RectangleValue(ns.Rectangle(-10, 10, -10, 10)),
             "Speed",
-            ns.core.StringValue("ns3::ConstantRandomVariable[Constant=3]"),
+            ns.StringValue("ns3::ConstantRandomVariable[Constant=3]"),
             "Pause",
-            ns.core.StringValue("ns3::ConstantRandomVariable[Constant=0.4]"),
+            ns.StringValue("ns3::ConstantRandomVariable[Constant=0.4]"),
         )
         mobility.Install(stas)
 
@@ -335,14 +335,14 @@
     print("Create Applications.")
     port = 9  #  Discard port(RFC 863)
 
-    appSource = ns.network.NodeList.GetNode(backboneNodes.value)
+    appSource = ns.NodeList.GetNode(backboneNodes.value)
     lastNodeIndex = (
         backboneNodes.value
         + backboneNodes.value * (lanNodes.value - 1)
         + backboneNodes.value * (infraNodes.value - 1)
         - 1
     )
-    appSink = ns.network.NodeList.GetNode(lastNodeIndex)
+    appSink = ns.NodeList.GetNode(lastNodeIndex)
 
     ns.cppyy.cppdef(
         """
@@ -353,22 +353,20 @@
     )
     # Let's fetch the IP address of the last node, which is on Ipv4Interface 1
     remoteAddr = ns.cppyy.gbl.getIpv4AddressFromNode(appSink)
-    socketAddr = ns.network.InetSocketAddress(remoteAddr, port)
-    onoff = ns.applications.OnOffHelper("ns3::UdpSocketFactory", socketAddr.ConvertTo())
-    apps = onoff.Install(ns.network.NodeContainer(appSource))
-    apps.Start(ns.core.Seconds(3))
-    apps.Stop(ns.core.Seconds(stopTime.value - 1))
+    socketAddr = ns.InetSocketAddress(remoteAddr, port)
+    onoff = ns.OnOffHelper("ns3::UdpSocketFactory", socketAddr.ConvertTo())
+    apps = onoff.Install(ns.NodeContainer(appSource))
+    apps.Start(ns.Seconds(3))
+    apps.Stop(ns.Seconds(stopTime.value - 1))
 
     #  Create a packet sink to receive these packets
-    sink = ns.applications.PacketSinkHelper(
+    sink = ns.PacketSinkHelper(
         "ns3::UdpSocketFactory",
-        ns.network.InetSocketAddress(
-            ns.network.InetSocketAddress(ns.network.Ipv4Address.GetAny(), port)
-        ).ConvertTo(),
+        ns.InetSocketAddress(ns.InetSocketAddress(ns.Ipv4Address.GetAny(), port)).ConvertTo(),
     )
-    sinkContainer = ns.network.NodeContainer(appSink)
+    sinkContainer = ns.NodeContainer(appSink)
     apps = sink.Install(sinkContainer)
-    apps.Start(ns.core.Seconds(3))
+    apps.Start(ns.Seconds(3))
 
     # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # /
     #                                                                        #
@@ -377,11 +375,11 @@
     # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # /
 
     print("Configure Tracing.")
-    csma = ns.csma.CsmaHelper()
+    csma = ns.CsmaHelper()
     #
     #  Let's set up some ns-2-like ascii traces, using another helper class
     #
-    ascii = ns.network.AsciiTraceHelper()
+    ascii = ns.AsciiTraceHelper()
     stream = ascii.CreateFileStream("mixed-wireless.tr")
     wifiPhy.EnableAsciiAll(stream)
     csma.EnableAsciiAll(stream)
@@ -405,9 +403,9 @@
     # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
 
     print("Run Simulation.")
-    ns.core.Simulator.Stop(ns.core.Seconds(stopTime.value))
-    ns.core.Simulator.Run()
-    ns.core.Simulator.Destroy()
+    ns.Simulator.Stop(ns.Seconds(stopTime.value))
+    ns.Simulator.Run()
+    ns.Simulator.Destroy()
 
 
 if __name__ == "__main__":
